#include <string.h>
#include <stdlib.h>

/*
void ParseBlock_r(parser_t *src)
{
	printf("parsing block: %s\n",tokLast(src));
	if(!tokNext(src)) return;
	if(tokLast(src)[0]=='{')
		ParseBlock_r(src);
}
*/

#define MAX_LINES     4096
#define MAX_LINE      512

char lines[MAX_LINES][MAX_LINE];

int main(int argc,char *argv[])
{
  char *buf;
  tokenizer_p tok;
  int i,count;
  count=LoadFile(argc==2 ? argv[1] : NULL,&buf);
  tok=tokStart(buf,NULL);
  for(count=0;tokString(tok);count++);
  tokRestart(tok);
  if(count>MAX_LINES) count=MAX_LINES;
  for(i=0;i<count;i++)
    strcpy(lines[i],tokString(tok));
  free(tok);
  free(buf);
  for(i=0;i<count;i++) puts(lines[i]);
  return 0;
}
