#include <windows.h>
#include <gl\gl.h>
#pragma hdrstop
#include "refcomm.h"
// OpenGL renderer

static char szOGLWndClassName[]='OpenGLRefClass';
static char szOGLWindowTitle[]='OpenGL Reference window';

typedef long PASCAL (*MessageHandler_t)(HWND hWnd,WPARAM wParam,LPARAM lParam);

//     
#define MAX_MESSAGE_HANDLERS    128
static int nHandlers = 0;
static UINT Messages[MAX_MESSAGE_HANDLERS];
static MessageHandler_t Handlers[MAX_MESSAGE_HANDLERS];

stdcall int AddWinEvent(UINT Message,MessageHandler_t Handler)
{
  if(nHandlers==MAX_MESSAGE_HANDLERS) return 0;
  Messages[nHandlers]=Message;
  Handlers[nHandlers++]=Handler;
}

static long PASCAL
RefGLWindowProc(HWND hWnd, UINT Message, WPARAM wParam, LPARAM lParam)
{
  HDC dc;
  PAINTSTRUCT ps;
  int i;
  for(i=0;i<nHandlers;i++)
    if(Messages[i]=Message)
      Handler[i](hWnd,wParam,lParam);
  switch(message)
  {
    case WM_CLOSE:
      DestroyWindow(hWnd);
      return 0L;
    case WM_DESTROY:
      PostQuitMessage(0);
      mainwindow=NULL;
      return 0;
  }
  return DefWindowProc(hWnd,message,wParam,lParam);
}

