/*			==============================================================
 *			'config' utility ver	-1.0	:)
 *			This tool must parse config file, ask user and than write out
 *			make info.
 *			============================================================*/
 
#include	<stdio.h>
#include	<string.h>

#define		DEFAULT_CONFIG_FILE			"libv.cnf"
#define		MAX_STRING_LENGTH			(16*1024)
/*			Maximum dependent macros (see libv.cnf for some details)	*/

typedef	enum
{
	pe_success,
	pe_unexpected_eof,
	pe_string_loo_long,
	pe_unexpected_keyword,
	pe_unbalanced_quotes,
	pe_syntax,
	pe_max_error
}	parse_error_t;

/*	Return length of string */
static int ReadString(FILE *in,char *dst,int maxlen)
{
	int i,ch;
	/*	Skip leading whitespace */
	for(ch=0;ch<0x20;)
	{
		ch=fgetc(in);
		if(feof(int))
			return 0;
	}
	/*	Start reading: read until 0x0D+0x0A / 0x0A without leading '\' */
	for(i=0;i<maxlen;i++)
	{
		if(ch== ...
		
		ch=fgetc(in);
		if(feof(in)) break;
	}
	return i;
}

typedef struct config_str_s
{
	struct	config_dep_s *next;
	char	*str;
}	config_dep_t;

typedef struct config_key_s
{
	struct	config_key_s *next;
	char	*macro;
	char	*title;
	char	*defval;
	config_str_t *deps;
}	config_key_t;

typedef struct config_section_s
{
	struct	config_section_s *next;
	char	*title;
	config_str_t *platforms;
}	config_section_t;




static parse_error_t ParseSection(config_section_t **dest,FILE *src)
{
	static char str[MAX_STRING_LENGTH];
	config_section_t *cs=(config_section_t *)malloc(sizeof(config_section_t));
	memset(cs,0,sizeof(config_section_t));
	
	*dest=NULL;
	return pe_max_error;
}

static void FreeSection(config_section_t *cs)
{
	if(cs->macro)
	{
		free(cs->macro
/* TODO: write other code :-) */
