# ========================================================================
#               libv_src.mak - source tree of V library
# ========================================================================
# These files are platform-independent
cpp_indep_msg=Group: platform - independent C++ files
cpp_indep=      \
  v_image.cpp   \
  v_log.cpp     \
  v_math.cpp    \
  v_matrix.cpp  \
  v_paklib.cpp  \
  v_parse.cpp   \
  v_pgrid.cpp   \
  v_plane.cpp   \
  v_pprof.cpp   \
  v_ref2d.cpp   \
  v_space.cpp   \
  v_vector.cpp
# ========================================================================
# These files specific to Microsoft Win32 OSes
cpp_win32_msg=Group: Win32 - specific files
cpp_win32=              \
  v_mt.cpp              \
  v_time.cpp            \
  v_rend.cpp
# ========================================================================
# These files specific to Microsoft DOS + DOS4GW
cpp_dos32_msg=Group: DOS32 (DOS4GW) - specific files
cpp_dos32=              \
  v_mt.cpp              \
  v_time.cpp            \
  v_rend.cpp
# ========================================================================
# These files specific to UNIX OSes
cpp_unix_msg=Group: UNIX - specific files
cpp_unix=               \
  v_mt.cxx              \
  v_time.cxx            \
  v_rend.cxx
# ========================================================================
# This file specific to Intel x86 procs (i386 and above) and MS OSes
asm_dosx86_msg=Group: Intel X86 specific files (MS OSes)
asm_dosx86=     \
  v_x86.asm
# ========================================================================
# This file specific to Intel x86 procs (i386 and above) and UNIX OSes
asm_unixx86_msg=Group: Intel X86 specific files (UNIX OSes)
asm_unixx86=    \
  v_x86.s
# ========================================================================
