void	V_GLOBAL
tlistDrawWireframe(trilist_t *list,vec3_t viewer)
{
	u32_t e, num_edges;
	tlist_edge_t *edges, *edge;
	listtri_t *tris, *tri;
	trivert_t *v1, *v2;
	vec3_t dir;
	vec_t dot, front;
	GLint ff;
	edges=(tlist_edge_t*)stackGetStorage(&list->edge_info);
	tris=(listtri_t*)stackGetStorage(&list->vlist);
	num_edges=stackCount(&list->edge_info);
	if(glIsEnabled(GL_CULL_FACE))
	{
		glGetIntegerv(GL_CULL_FACE_MODE,&ff);
		front = (ff==GL_FRONT) ? 1 : -1;
		glBegin(GL_LINES);
    	for(e=0;e<num_edges;e++)
    	{
    		if(!edges[e].visible)
    			continue;
    		edge=edges+e;
    		tri=tris+edge->triangle;
    		/* TODO: optimize culling process */
    		vec3Sub(dir,tri->center,viewer);
    		dot=vec3Dot(dir,tri->normal) * front;
    		if(dot>0)
    		{
    			v1=&(tri->verts[edge->points[0]]);
    			v2=&(tri->verts[edge->points[1]]);
    			glColor4fv((GLfloat*)v1->color);
    			glVertex3fv((GLfloat*)v1->vert);
    			glColor4fv((GLfloat*)v2->color);
    			glVertex3fv((GLfloat*)v2->vert);
    		}
    	}
		glEnd();
    }
    else
    {
		glBegin(GL_LINES);
    	for(e=0;e<num_edges;e++)
    	{
    		if(!edges[e].visible)
    			continue;
    		edge=edges+e;
    		tri=tris+edge->triangle;
   			v1=&(tri->verts[edge->points[0]]);
   			v2=&(tri->verts[edge->points[1]]);
   			glColor4fv((GLfloat*)v1->color);
   			glVertex3fv((GLfloat*)v1->vert);
   			glColor4fv((GLfloat*)v2->color);
   			glVertex3fv((GLfloat*)v2->vert);
    	}
		glEnd();
    }
}
