include "nohog.mak"
all:
	$(nice) $(nohog) nmake.exe -f vc_dll.mak $(debug) dll
	$(nice) $(nohog) nmake.exe -f vc_dll.mak $(debug) install
#	$(nice) $(nohog) nmake.exe -f vc_dll.mak $(debug) clean
cc=cl.exe
ld=link.exe
#	Can be wasm.exe (from WATCOM C 10.0 or 11.0)
as=tasm32.exe
#	Can be rc.exe, but you must clean -r flag !
rc=brc32.exe
mv=move
rm=del
bindir=..\..\bin
ansi=-Za
cflags=-c -Gs -Os -MD -W4 /DBUILD_DLL
lflags=/SUBSYSTEM:WINDOWS /DLL /DEFAULTLIB:MSVCRT.LIB
aflags=/ml
rflags=-r
include "objfiles.mak"
srcfiles=$(objfiles:.obj=.c) $(winobjfiles:.obj=.c)
libs=kernel32.lib user32.lib gdi32.lib opengl32.lib ../support/libjpeg/libjpeg.lib
target=libv
dll:$(target).dll
include "c_rules.mak"
win32/$(target).res:win32/$(target).rc
	$(rc) $(rflags) win32/$(target).rc
$(target).dll:$(objfiles) v_x86.obj $(winobjfiles) win32/$(target).res win32/$(target).def
	$(ld) $(lflags) $(objfiles) v_x86.obj $(winobjfiles) $(libs) win32/$(target).res /DEF:win32/$(target).def /OUT:$(target).dll
install:
	if exist $(bindir)\$(target).dll $(rm) $(bindir)\$(target).dll
	if exist ..\arch\win32_dll\$(target).lib $(rm) ..\arch\win32_dll\$(target).lib
	$(mv) $(target).dll $(bindir)\$(target).dll
	$(mv) $(target).lib ..\arch\win32_dll\$(target).lib
clean:
	nmake -f clean.mak
