#ifndef V_FILE_HPP
#define V_FILE_HPP

class	file_c
{
	file_t	f;
public:
				file_c(void)			{ f=NULL; }
				~file_c()				{ if(f) fileClose(f); }
	vboolean	openread(char *name)	{ return(f=fileOpenRead(name)); }
	vboolean	openwrite(char *name)	{ return(f=fileOpenWrite(name)); }
	void		close(void)				{ if(f) { fileClose(f);f=NULL; } }
	int			read(void *buf,int len)	{ return fileRead(f,buf,len); }
	int			write(void *buf,int len) { return fileWrite(f,buf,len); }
	vboolean	write_8(u_8 b)			{ return fileWrite8(f,b); }
	vboolean	write_16(u_16 w)		{ return fileWrite16(f,w); }
	vboolean	write_32(dword d)		{ return fileWrite32(f,d); }
	byte		getc(void)				{ return fileGetc(f); }
	void		puts(char *str)			{ filePuts(f,str); }
	int			gets(char *str,int len) { return fileGets(f,str,len); }
	vboolean	eof(void)				{ return fileEof(f); }
	int			seek(int ofs,int whence) { return fileSeek(ofs,whence); }
	int			tell(void)				{ return fileTell(f); }
	int			size(void)				{ return fileSize(f); }
};

#endif
