unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, OpenGL,
  StdCtrls;

  type
      tglAlphaFunc = procedure (func: GLenum; ref: GLclampf); stdcall;
      tglBegin = procedure (mode: GLenum); stdcall;
      tglBlendFunc = procedure (sfactor, dfactor: GLenum); stdcall;
      tglClear = procedure (mask: GLbitfield); stdcall;
      tglClearColor = procedure (red, green, blue, alpha: GLclampf); stdcall;
      tglClearDepth = procedure (depth: GLclampd); stdcall;
      tglColor3f = procedure (red, green, blue: GLfloat); stdcall;
      tglColor3ubv = procedure (v: PGLubyte); stdcall;
      tglColor4f = procedure (red, green, blue, alpha: GLfloat); stdcall;
      tglColor4ubv = procedure (v: PGLubyte); stdcall;
      tglCullFace = procedure (mode: GLenum); stdcall;
      tglDepthFunc = procedure (func: GLenum); stdcall;
      tglDepthMask = procedure (flag: GLboolean); stdcall;
      tglDepthRange = procedure (zNear, zFar: GLclampd); stdcall;
      tglDisable = procedure (cap: GLenum); stdcall;
      tglDrawBuffer = procedure (mode: GLenum); stdcall;
      tglEnable = procedure (cap: GLenum); stdcall;
      tglEnd = procedure ; stdcall;
      tglFinish= procedure ; stdcall;
      tglFogf = procedure (pname: GLenum; param: GLfloat); stdcall;
      tglFogfv = procedure (pname: GLenum; params: PGLfloat); stdcall;
      tglFogi = procedure (pname: GLenum; param: GLint); stdcall;
      tglFogiv = procedure (pname: GLenum; params: PGLint); stdcall;
      tglFrustum = procedure (left, right, bottom, top, zNear, zFar: GLdouble); stdcall;
      tglGetFloatv = procedure (pname: GLenum; params: PGLfloat); stdcall;
      tglGetString = function (name: GLenum): PChar; stdcall;
      tglHint = procedure (target, mode: GLenum); stdcall;
      tglLoadIdentity = procedure ; stdcall;
      tglLoadMatrixf = procedure (m: PGLfloat); stdcall;
      tglMatrixMode = procedure (mode: GLenum); stdcall;
      tglOrtho = procedure (left, right, bottom, top, zNear, zFar: GLdouble); stdcall;
      tglPolygonMode = procedure (face, mode: GLenum); stdcall;
      tglPopMatrix = procedure ; stdcall;
      tglPushMatrix= procedure ; stdcall;
      tglReadBuffer = procedure (mode: GLenum); stdcall;
      tglReadPixels = procedure (x,y: GLint; width, height: GLsizei;
                   format, _type: GLenum; pixels: Pointer); stdcall;
      tglRotatef = procedure (antgle, x,y,z: GLfloat); stdcall;
      tglScalef = procedure (x,y,z: GLfloat); stdcall;
      tglShadeModel = procedure (mode: GLenum); stdcall;
      tglTexCoord2f = procedure (s,t: GLfloat); stdcall;
      tglTexEnvf = procedure (target, pname: GLenum; param: GLfloat); stdcall;
      tglTexImage2D = procedure (target: GLenum; level, components: GLint;
                     width, height: GLsizei; border: GLint; format, _type: GLenum; pixels: Pointer); stdcall;
      tglTexParameterf = procedure (target, pname: GLenum; param: GLfloat); stdcall;
      tglTranslatef = procedure (x,y,z: GLfloat); stdcall;
      tglVertex2f = procedure (x,y: GLfloat); stdcall;
      tglVertex3f = procedure (x,y,z: GLfloat); stdcall;
      tglVertex3fv = procedure (v: PGLfloat); stdcall;
      tglViewport = procedure (x,y: GLint; width, height: GLsizei); stdcall;
      tglGenTextures = procedure(n: GLsizei;textures : pointer); stdcall;
      tglBindTexture = procedure(target: GLenum;texture:GLuint); stdcall;
      tglDeleteTextures = procedure(n: GLsizei;textures : pointer); stdcall;
      tglEnableClientState = procedure(arr : integer);stdcall;
      tglDisableClientState= procedure(arr : integer);stdcall;
      tglDrawArrays= procedure(mode:GLEnum;first:GLint;count:GLsizei);stdcall;
      tglColorPointer= procedure(size,_type,stride,count:integer;ptr:pointer);stdcall;
      tglTexCoordPointer = procedure(size,_type,stride,count:integer;ptr:pointer);stdcall;
      tglVertexPointer = procedure(size,_type,stride,count:integer;ptr:pointer);stdcall;
      tSwapBuffers = function(dc:HDC):integer;stdcall;
      twglGetCurrentDC = function : HDC; stdcall;

      const
        GL_VERTEX_ARRAY = $8074;
        GL_COLOR_ARRAY = $8076;
        GL_TEXTURE_COORD_ARRAY = $8078;
        GL_VERTEX_ARRAY_SIZE = $807A;
        GL_VERTEX_ARRAY_TYPE = $807B;
        GL_VERTEX_ARRAY_STRIDE = $807C;
        GL_COLOR_ARRAY_SIZE = $8081;
        GL_COLOR_ARRAY_TYPE = $8082;
        GL_COLOR_ARRAY_STRIDE = $8083;
        GL_TEXTURE_COORD_ARRAY_SIZE = $8088;
        GL_TEXTURE_COORD_ARRAY_TYPE = $8089;
        GL_TEXTURE_COORD_ARRAY_STRIDE = $808A;
        GL_VERTEX_ARRAY_POINTER = $808E;
        GL_COLOR_ARRAY_POINTER = $8090;
        GL_TEXTURE_COORD_ARRAY_POINTER = $8092;
        GL_T2F_C4UB_V3F = $2A29;
        GL_T2F_C3F_V3F = $2A2A;




type


  PGLIMLayer = ^GLIMLayer;
  GLIMLayer = record
  //   -  
  glAlphaFunc : tglAlphaFunc;
  glBegin: tglBegin;
  glBlendFunc: tglBlendFunc;
  glClear: tglClear;
  glClearColor: tglClearColor;
  glColor3f: tglColor3f;
  glColor3ubv: tglColor3ubv;
  glColor4f: tglColor4f;
  glColor4ubv: tglColor4ubv;
  glCullFace: tglCullFace;
  glDepthFunc: tglDepthFunc;
  glDepthMask: tglDepthMask;
  glDepthRange: tglDepthRange;
  glDisable: tglDisable;
  glDrawBuffer: tglDrawBuffer;
  glEnable: tglEnable;
  glEnd: tglEnd;
  glFinish: tglFinish;
  glFrustum: tglFrustum;
  glGetFloatv: tglGetFloatv;
  glGetString: tglGetString;
  glHint: tglHint;
  glLoadIdentity: tglLoadIdentity;
  glLoadMatrixf: tglLoadMatrixf;
  glMatrixMode: tglMatrixMode;
  glOrtho: tglOrtho;
  glPolygonMode: tglPolygonMode;
  glPopMatrix: tglPopMatrix;
  glPushMatrix: tglPushMatrix;
  glReadBuffer: tglReadBuffer;
  glReadPixels: tglReadPixels;
  glRotatef: tglRotatef;
  glScalef: tglScalef;
  glShadeModel: tglShadeModel;
  glTexCoord2f: tglTexCoord2f;
  glTexEnvf: tglTexEnvf;
  glTexImage2D: tglTexImage2D;
  glTexParameterf: tglTexParameterf;
  glTranslatef: tglTranslatef;
  glVertex2f: tglVertex2f;
  glVertex3f: tglVertex3f;
  glVertex3fv: tglVertex3fv;
  glViewport: tglViewport;

  glFogf: tglFogf;
  glFogfv: tglFogfv;
  glFogi: tglFogi;
  glFogiv: tglFogiv;
  glGenTextures: tglGenTextures;
  glBindTexture: tglBindTexture;
  glDeleteTextures: tglDeletetextures;
  glEnableClientState: tglEnableClientState;
  glDisableClientState: tglDisableClientState;
  glDrawArrays: tglDrawArrays;
  glColorPointer: tglColorPointer;
  glTexCoordPointer: tglTexCoordPointer;
  glVertexPointer: tglVertexPointer;
  glClearDepth: tglClearDepth;
  //                   
  LayerType           : integer;
  RenderType          : integer;
  hRenderer           : dword;
  hGDI                : dword;
  ghPalette, ghpalOld : dword;

  SwapBuffers         : tSwapBuffers;
  wglGetCurrentDC     : twglGetCurrentDC;
  {
  int                 (APIENTRY *pChoosePixelFormat)(HDC, CONST PIXELFORMATDESCRIPTOR *);
  BOOL                (APIENTRY *pSetPixelFormat)(HDC, int, CONST PIXELFORMATDESCRIPTOR *);
  int                 (APIENTRY *pDescribePixelFormat)(HDC,int,UINT,LPPIXELFORMATDESCRIPTOR);
  int                 (APIENTRY *pGetPixelFormat)(HDC);
  HGLRC               (APIENTRY *pwglCreateContext)(HDC);
  BOOL                (APIENTRY *pwglDeleteContext)(HGLRC);
  HGLRC               (APIENTRY *pwglGetCurrentContext)(void);
  PROC                (APIENTRY *pwglGetProcAddress)(LPCSTR);
  BOOL                (APIENTRY *pwglMakeCurrent)(HDC, HGLRC);
  }
  end;

function LoadGenericRenderer(dllName:pchar):PGLIMLayer;stdcall;external 'u_gl.dll' name '_LoadGenericRenderer@4';
procedure DestroyLayer(Layer:PGLIMLayer);stdcall;external 'u_gl.dll' name '_DestroyLayer@4';

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure FormHide(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Layer: PGLIMLayer;

implementation

{$R *.DFM}

procedure TForm1.FormHide(Sender: TObject);
begin
//  DestroyLayer(Layer);
  Layer := nil;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Layer^.glViewport(0,0,ClientWidth,ClientHeight);
  Layer^.glMatrixMode(GL_PROJECTION);
  Layer^.glLoadIdentity;
  Layer^.glMatrixMode(GL_MODELVIEW);
  Layer^.glLoadIdentity;
  Layer^.glClearColor(1,1,1,1);
  Layer^.glClear(GL_COLOR_BUFFER_BIT);
end;

procedure TForm1.Button2Click(Sender: TObject);
const
  name : array[0..12] of char = 'opengl32.dll'+#0;
begin
  Layer := LoadGenericRenderer(name);
end;

end.
