typedef double vec_t;

#ifndef M_PI
#define M_PI 3.14159265357989
#endif

#define UEXPORT __declspec(dllexport) __stdcall

#ifdef __cplusplus
extern "C" {
#endif
  void UEXPORT WindowFFTData(vec_t xreal[],vec_t yimag[],int numdat,int window);
  void UEXPORT fft(vec_t xreal[], vec_t yimag[], int numdat, int flag);
  void UEXPORT FFTCalc(vec_t xreal[],vec_t yimag[],int numdat);
  void UEXPORT FFTInvCalc(vec_t xreal[],vec_t yimag[], int numdat);
  void UEXPORT PowerSpectrumCalc(vec_t xreal[], vec_t yimag[],int numdat,vec_t delta);
  void UEXPORT FFT2DCalc(vec_t xreal[],vec_t yimag[],int c,int r,int flag);
#ifdef __cplusplus
}
#endif
