#include "../../include/v_lib.h"
#include "v_fsutil.h"
#include "v_scanfs.h"

#include "sys/stat.h"
#include "unistd.h"

void V_CALL dircb(char *path)
{
	struct stat st;
	stat(path,&st);
	printf("DIR: %s (%d ln,%d size)\n",
		path,st.st_nlink,st.st_size);
}

void V_CALL filecb(char *path)
{
	struct stat st;
	stat(path,&st);
	printf("FILE: %s (%d ln,%d size)\n",
		path,st.st_nlink,st.st_size);
}

int main(int argc,char *argv[])
{
	logStartConsoleLog();
	logUpperLevel(LOG_TRACE);
	if(chdir(argv[1]));
		fs_scan_dir(dircb,filecb,true);
}
