/*
  return:
  1: source code page is ALT (DOS)
  2: source code page is WIN1251 (MS Windows)
  3: source code page is KOI8 (UNIX)
*/

#include <stdio.h>

int main(int argc,char *argv[])
{
  signed char letter;
  FILE *cyrillic;
  cyrillic=fopen("cyrillic.txt","rt");
  if(!cyrillic)
    return -1;
  for(;!feof(cyrillic) && (letter=(char)fgetc(cyrillic))>0;);
  fclose(cyrillic);
  switch(letter) {
    case -96:
      puts("Source code page is Win1251");
      return 1;
    case -32:
      puts("Source code page is ALT (DOS)");
      return 2;
    default:
      puts("Source code page is KOI8");
      return 1;
  }
  return 0;
}
