/*<html><body bgcolor=#B4C4B0><font color=#000000><strong><pre>*/
#ifndef   V_INCON_H
#define   V_INCON_H

/*
 *	Console control and input via IPC.
 */

typedef	void	(V_CALL *con_notify_event_t)(void);

#ifdef __cplusplus
extern "C" {
#endif
	/* Starts input server */
	/* If 'server_name' is NULL, starts server with name 'ConsoleInput'.
	 * Must be called prior to any extended console control functions.
	 */
	vboolean	V_GLOBAL	incStartServer(char *server_name);
	/* Stops input server */
	void		V_GLOBAL	incStopServer(void);
	/* console control */
	void		V_GLOBAL	conSetCaption(char *caption);
	u32_t		V_GLOBAL	conGetMaxX(void);
	u32_t		V_GLOBAL	conGetMaxY(void);
	void		V_GLOBAL	conGotoXY(u32_t x,u32_t y);
	void		V_GLOBAL	conTextAttr(u16_t attr);
	void		V_GLOBAL	conClearScreen(void);
	void		V_GLOBAL	conClearLine(void);
	void		V_GLOBAL	conPutsEx(char *str);
	void		V_GLOBAL	conRegisterAtExit(con_notify_event_t handler);
	void		V_GLOBAL	conUnregisterAtExit(con_notify_event_t handler);
#ifdef	__cplusplus
}
#endif	/* __cplusplus */

#endif	/* V_INCON_H */

/*</pre></body></html>*/
/*EOF*/
