#include <v_lib.h>
#include "../include/v_show.h"

int main()
{
	vec3_t inm={-1,-1,-1};
	vec3_t inx={100,100,50};
	vec3_t outm={7,7,7};
	vec3_t outx={10,10,10};
	matrix3x4_t xf;
	logStartConsoleLog();
	logUpperLevel(LOG_TRACE);
	bboxTransformFromBoxes(xf,inm,inx,outm,outx);
	showmat3x4(xf);
	mat3x4VecMul(outm,xf,inm);
	mat3x4VecMul(outx,xf,inx);
	showvec3(outm);
	showvec3(outx);
	return 0;
}
