#include <v_lib.h>

/*
**	Binary tree test
*/

btree_p store_string(char *str,btree_t *parent,int index)
{
	return btStore(str,strlen(str)+1,parent,index);
}

void print_string(void *data)
{
	printf("%s\n",(char*)data);
}

int main()
{
	// construct tree
	btree_t *n;
	int data;
	
	n=store_string("0 root",NULL,0);
	
	store_string("1 left child",	n,0);
	store_string("2 right child",	n,1);
	
	store_string("3 left child of left",	n->children[0],0);
	store_string("4 right child of left",	n->children[0],1);
	
	store_string("5 left child of right",	n->children[1],0);
	store_string("6 right child of right",	n->children[1],1);
	
	puts("from left: ");
	btTraverseLeft(n,print_string);
	puts("from right: ");
	btTraverseRight(n,print_string);

	puts("from left, root first: ");
	btTraverseLeftRF(n,print_string);
	puts("from right, root first: ");
	btTraverseRightRF(n,print_string);

	puts("delete:");
	btDeleteAllNodes(n,print_string);
}
