class line2_c
{
  protected:
                line2_t l;
  public:
                line2_c() {}
                line2_c(line2_c &ref) {v_copydw(&l,&ref.l,sizeof(line2_t)>>2);}
                line2_c(vec2_t p1,vec2_t p2) {line2FromPoints(&l,p1,p2);}
  vec_t         *normal() {return l.nd.normal;}
  vec_t      &dist() {return l.nd.dist;}
  void          cross(vec2_t dst,line2_c &with) {line2Cross(dst,&l,&with.l);}
  void          frompoints(vec2_t p1,vec2_t p2) {line2FromPoints(&l,p1,p2);}
  vec_t      distfrom(vec2_t pt) {return distFromLine2(pt,&l);}
};              // line2_c

class poly2_c
{
  protected:
                poly2_t *w;
  public:
                poly2_c() {w=NULL;}
                poly2_c(int points) {w=poly2Alloc(points);}
                poly2_c(poly2_c &ref) {w=poly2Duplicate(ref.w);}
                ~poly2_c() {if(w) free(w);}
  void          addpoint(vec2_t pt) {poly2AddPoint(w,pt);}
  void          computelines() {poly2ComputeLines(w);}
  vboolean      inside(vec2_t pt) const {return poly2PointInside(w,pt);}
  vboolean      outside(vec2_t pt) const {return !inside(pt);}
};              // poly2_c

